import { OnChanges, SimpleChanges, EventEmitter } from '@angular/core';
/**
 * Componente en el cual podremos visualizar una imagen
 */
export declare class ChatDetailPreviewComponent implements OnChanges {
    /**
     * Variable en la cual se guardara el titulo de la vista previa
     */
    title: string;
    /**
     * Variable en la cual se guarda los archivos enviados desde otro componente
     */
    files: FileList;
    /**
     * Evento indicando que cierre la ventana
     */
    close: EventEmitter<boolean>;
    /**
     * Variable en la cual mostraremos los archivos recibidos y los cargados en esta pantalla
     */
    finalFiles: FileList;
    /**
     * Varibale en la cual guardaremos la imagen seleccionada
     */
    imgUrl: any;
    /**
     * arreglo en el cual guardaremos las imagenes seleccionadas
     */
    imgUrls: any[];
    /**
     * @ignore
     */
    constructor();
    /**
     * 1.- si cambian los archivos mostrar el primer archivo
     * @param changes Si cambia files
     */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * Metodo el cual mostrara la imagen seleccionada o la primera por defecto
     * @param index imagen a mostrar
     */
    previewFile(imgUrl?: any): void;
    /**
     * Metodo que permitira visualizar todas las imagenes
     */
    previewFiles(): void;
    /**
     * Devulve la longitud de archivos en finalFiles o cero en caso sea undefined
     */
    filesCount(): number;
    /**
     * Emite un evento para cerrar vista
     */
    closePreview(): void;
    /**
     * Agregaremos mas imagenes a las imagenes mostradas actualmente
     */
    addImage(images: any): void;
}
