import { Injector, ComponentFactoryResolver, ApplicationRef, Type } from '@angular/core';
/**
 * Servicio que añade un componente en tiempo de ejecucion
 */
export declare class DynamicComponentService {
    private injector;
    private resolver;
    private appRef;
    /**
     * Variable en la cual se guarda el componente que se mostrara
     */
    private compRef;
    /**
     * @ignore
     */
    constructor(injector: Injector, resolver: ComponentFactoryResolver, appRef: ApplicationRef);
    /**
     * Servicio que permite injectar componente en tiempo de ejecucion
     * @example
     * this.dynamicComponentService.injectComponent(PopupComponent,
     *        x => { x.tipo = currentFeature.properties.marcador ; x.id = currentFeature.properties.id; }  );
     * @param component El componente a insertar
     * @param propertySetter Las propiedades del componente que va a recibir
     */
    injectComponent<T>(component: Type<T>, propertySetter?: (type: T) => void): HTMLDivElement;
}
