import { AfterViewChecked } from '@angular/core';
import { PerfectScrollbarComponent, PerfectScrollbarConfigInterface } from 'ngx-perfect-scrollbar';
/**
 * Componente que trabaja sobre ngx-perfect-scrollbar
 */
export declare class PerfectScrollComponent implements AfterViewChecked {
    /**
     * Variables de configuarion
     */
    config: PerfectScrollbarConfigInterface;
    /**
     * Componente perfectScrollbar
     */
    componentRef?: PerfectScrollbarComponent;
    /**
     * Posicion a la que se desea enviar el scrollbar
     */
    position: [number, number];
    /**
     * id del elemento html que se desea ir con el scrollbar
     */
    elementName: string;
    /**
     * @ignore
     */
    constructor();
    /**
     * Despues de verificar que carge el viewchild mueve el scroll a la parte deseada
     */
    ngAfterViewChecked(): void;
    /**
     * Segun las coordenadas indica al scroll que accion realizar
     * @param position Array con el eje x y
     */
    calculatePosition(position: number[]): void;
    /**
     * Mover el scroll a un posicion
     * @param x Eje x
     * @param y Eje y
     */
    scrollToXY(x: number, y: number): void;
    /**
     * mover el scroll a la parte superio
     */
    scrollToTop(): void;
    /**
     * mover el scroll a la izquierda
     */
    scrollToLeft(): void;
    /**
     * Mover el scroll a  la derecha
     */
    scrollToRight(): void;
    /**
     * mover el scroll al final
     */
    scrollToBottom(): void;
    /**
     * mover el scroll al elemento
     */
    scrollToElement(): void;
    /**
     * Al movernos sobre el div
     * @param event scroll
     */
    onScrollEvent(event: any): void;
}
